// RandomDFAGenerator.hpp: this file is part of the REGAL project.
//
// REGAL : Random and Exhaustive Generators for Automata - Library
//
// Copyright (C) 2007 Julien DAVID.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// The complete GNU General Public Licence Notice can be found as the
// `COPYING' file in the root directory.
//
//
#ifndef RANDOMDFAGENERATOR
#define RANDOMDFAGENERATOR

#include "AbstractRandomGenerator.hpp"
#include "AbstractDFAGenerator.hpp"
#include "BoltzmannSampler.hpp"
#include "toolbox/GenericFunction.hpp"
#include "VerboseOption.hpp"
#include "MooreAlgorithm.hpp"
#include "StronglyConnected.hpp"

namespace regal{
  
  template<typename StateLabel_t,typename Sigma, class Automaton_t=AbstractAutomaton<StateLabel_t,Sigma> >
  class RandomTreeAutomataGenerator : 
    public AbstractRandomGenerator<Automaton_t>{
  private:
    int size;
    Alphabet<Sigma> alphabet;
    
  public:

    Automaton_t * random(){
      
    }

    RandomTreeAutomataGenerator(const int & autSize,const Alphabet<Sigma> & alpha):alphabet(alpha){
      size=autSize;
      
    }
    
    ~RandomTreeAutomataGenerator(){
      
    }
  };

}

#endif
