//    This file is part of RoadColoringImpl.
//
//    Copyright (C) 2008 Florian SIKORA sikora@univ-mlv.fr
//    http://igm.univ-mlv.fr/~fsikora/index.php?p=r
//
//    RoadColoringImpl is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    RoadColoringImpl is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    The complete GNU General Public Licence Notice can be found as the
//    `COPYING' file in the root directory.


package fr.umlv.roadcoloring.graph;

/**
 * Manages circles
 * 
 * @author fsikora
 *
 */

public class Circle {
	private final int circleNumber;		//number of the circle
	private int root;					//start of the circle (needed to know when a circle is completed)
	//private final HashSet<Integer> nodes = new HashSet<Integer>();
	private boolean completed = false;	
	private int size;
	
	public Circle(int circleNumber) {
		this.circleNumber = circleNumber;
	}
	
	public void setRoot(int root) {
		this.root = root;
	}
	
	public int getRoot() {
		return root;
	}
	
	public int getCircleNumber() {
		return circleNumber;
	}
	
	/**
	 * add a node in the circle
	 * use to know when the circle is completed
	 * @param node
	 */
	public void putNode(int node) {
		if (!completed) {
			//nodes.add(node);
			size++;
		}
		
		if (node == root) {
			completed = true;
		}
	}
	
	public int getSize() {
		return size;
	}
	
	public boolean isCompleted() {
		return completed;
	}
	
	@Override
	public String toString() {
		return "Circle #"+circleNumber;
	}
}
